> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1replicationdiagnosticsreplicationstate



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Replication//swagger/v1/swagger.json get /api/v1/Replication/Diagnostics/replicationState
openapi: 3.0.0
info:
  title: NDS.Services.Replication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Replication/
security: []
paths:
  /api/v1/Replication/Diagnostics/replicationState:
    get:
      tags:
        - ReplicationDiagnostics
      operationId: ReplicationDiagnostics_GetReplicationState
      parameters:
        - name: includeDeadServers
          in: query
          schema:
            type: boolean
            default: false
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetReplicationStateResult'
components:
  schemas:
    GetReplicationStateResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            States:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ServerState'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ServerState:
      type: object
      additionalProperties: false
      properties:
        Server:
          type: string
          nullable: true
        ReplicationsMissing:
          type: integer
          format: int64
        NodeStates:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/NodeState'
        ServerStates:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/RelatedServerState'
        IsBlocked:
          type: boolean
        IsAlive:
          type: boolean
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    NodeState:
      type: object
      additionalProperties: false
      properties:
        Node:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/NodeInfo3'
        ReplicationsMissing:
          type: integer
          format: int64
        RelatedNodeStates:
          type: object
          nullable: true
          additionalProperties:
            $ref: '#/components/schemas/RelatedNodeState'
    RelatedServerState:
      type: object
      additionalProperties: false
      properties:
        Server:
          type: string
          nullable: true
        ReplicationsMissing:
          type: integer
          format: int64
    NodeInfo3:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Identifier:
          type: string
          nullable: true
    RelatedNodeState:
      type: object
      additionalProperties: false
      properties:
        Node:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/NodeInfo3'
        Server:
          type: string
          nullable: true
        ReplicationsMissing:
          type: integer
          format: int64

````